Skip to main content
POST
/
api
/
v1
/
projects
/
{projectUuid}
/
aiAgents
Error
A valid request URL is required to generate request examples
{
  "results": {
    "description": "<string>",
    "name": "<string>",
    "projectUuid": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "organizationUuid": "<string>",
    "uuid": "<string>",
    "userAccess": [
      "<string>"
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "integrations": [
      {
        "channelId": "<string>"
      }
    ],
    "tags": [
      "<string>"
    ],
    "instruction": "<string>",
    "imageUrl": "<string>",
    "groupAccess": [
      "<string>"
    ],
    "spaceAccess": [
      "<string>"
    ],
    "enableDataAccess": true,
    "enableSelfImprovement": true,
    "version": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

Body

application/json

From T, pick a set of properties whose keys are in the union K

description
string | null
required
name
string
required
projectUuid
string
required
userAccess
string[]
required
integrations
object[]
required
tags
string[] | null
required
instruction
string | null
required
imageUrl
string | null
required
groupAccess
string[]
required
spaceAccess
string[]
required
enableDataAccess
boolean
required
enableSelfImprovement
boolean
required
version
number<double>
required
mcpServerUuids
string[]

Response

Created

results
object
required

From T, pick a set of properties whose keys are in the union K

status
enum<string>
required
Available options:
ok